package com.djhk.uav.uav.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.djhk.uav.uav.model.UavPilot;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 飞手管理Mapper接口
 *
 * @author jiachengshuai
 * @date 2022-08-30
 */
@Mapper
public interface UavPilotMapper extends BaseMapper<UavPilot>
{
    /**
     * 查询飞手管理
     *
     * @param id 飞手管理主键
     * @return 飞手管理
     */
    public UavPilot selectUavPilotById(Long id);

    /**
     * 查询飞手管理列表
     *
     * @param UavPilot 飞手管理
     * @return 飞手管理集合
     */
    public List<UavPilot> selectUavPilotList(UavPilot UavPilot);



    /**
     * 新增飞手管理
     *
     * @param UavPilot 飞手管理
     * @return 结果
     */
    public int insertUavPilot(UavPilot UavPilot);

    /**
     * 修改飞手管理
     *
     * @param UavPilot 飞手管理
     * @return 结果
     */
    public int updateUavPilot(UavPilot UavPilot);

    /**
     * 删除飞手管理
     *
     * @param id 飞手管理主键
     * @return 结果
     */
    public int deleteUavPilotById(Long id);

    /**
     * 批量删除飞手管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavPilotByIds(Long[] ids);


}
